# Poco::Net

# class ErrorNotification

Library: Net
Package: Reactor
Header: Poco/Net/SocketNotification.h

## Description

This notification is sent if a socket has signalled an error.

## Inheritance

Direct Base Classes: SocketNotification

All Base Classes: SocketNotification, Poco::Notification, Poco::RefCountedObject

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, socket, source

## Constructors

### ErrorNotification

ErrorNotification(
SocketReactor * pReactor
);

Creates the ErrorNotification for the given SocketReactor.

## Destructor

### ~ErrorNotification

~ErrorNotification();

Destroys the ErrorNotification.